summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--nonewlines.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/nonewlines.sh b/nonewlines.sh
new file mode 100644
index 0000000..3b5af27
--- /dev/null
+++ b/nonewlines.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+usage="Usage: $0 dir
+
+Concatenates all .txt files in a directory together and removes all
+line breaks, saving the result to dirname.txt
+
+test $# -ne 1 && echo "$usage" && exit 1
+
+d=`dirname "$1"`
+cat "$1"/*txt | tr -d '\n' > "${d}.txt"
+
+echo "Saved all text, with no newlines, to ${d}.txt"